<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_content_add_tooltip($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-03-addcontent'); // 元の値を保持

	/*** ツールチップの文字色 ***/
	/* テキストフィールド（HEX色） */
	if ( isset( $value['tooltip-text-color'] ) && is_string( $value['tooltip-text-color'] ) ) {
		$value['tooltip-text-color'] = sanitize_hex_color( $value['tooltip-text-color'] ); // サニタイズ
	} else {
		if ( isset( $original_value['tooltip-text-color'] ) ) {
			$value['tooltip-text-color'] = $original_value['tooltip-text-color']; // 元の値を保持
		} else {
			$value['tooltip-text-color'] = '';
		}
	}

	/*** ツールチップの背景色 ***/
	/* テキストフィールド（HEX色） */
	if ( isset( $value['tooltip-bg-color'] ) && is_string( $value['tooltip-bg-color'] ) ) {
		$value['tooltip-bg-color'] = sanitize_hex_color( $value['tooltip-bg-color'] ); // サニタイズ
	} else {
		if ( isset( $original_value['tooltip-bg-color'] ) ) {
			$value['tooltip-bg-color'] = $original_value['tooltip-bg-color']; // 元の値を保持
		} else {
			$value['tooltip-bg-color'] = '';
		}
	}

	/*** ツールチップの枠線色 ***/
	/* テキストフィールド（HEX色） */
	if ( isset( $value['tooltip-border-color'] ) && is_string( $value['tooltip-border-color'] ) ) {
		$value['tooltip-border-color'] = sanitize_hex_color( $value['tooltip-border-color'] ); // サニタイズ
	} else {
		if ( isset( $original_value['tooltip-border-color'] ) ) {
			$value['tooltip-border-color'] = $original_value['tooltip-border-color']; // 元の値を保持
		} else {
			$value['tooltip-border-color'] = '';
		}
	}

	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}